# 简介

---

> [91VPS IP](http://httpapi.91vps.com) - API SDK - Golang

## 开始

### 修改环境变量
```go
GOPROXY=https://goproxy.io,direct
```

![img.png](doc/img.png)

在代码块中直接引用即可
```go
    import (
	    vps91 "vps91-go-sdk/com.vps91"
	    "vps91-go-sdk/com.vps91/common"
    )
```

## 示例
在[vps91_test.go] 在下载的压缩包解压后的文件中看详细示例
```go
package main

import (
	"fmt"
	vps91 "vps91-go-sdk/com.vps91"
	"vps91-go-sdk/com.vps91/common"
)

func main() {
	dynamicGetIps()
}

func dynamicGetIps() {
	var dynamicGetIps common.DynamicGetIps
	dynamicGetIps.SetKey("0794d170bd34223546345fdgs24502bb21cbcd")
	dynamicGetIps.SetTrade_no("113551087435342335679")
	dynamicGetIps.SetNum("10")
	value := vps91.DynamicGetIps(dynamicGetIps)
	fmt.Println(value)
}
```


## 参考资料
* [API文档](https://www.91vps.com/http/api)

